Bug 631065 - FTBFS gle-4.2.2-2.fc13
FTBFS gle-4.2.2-2.fc13
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gle (Show other bugs)
14
All Linux
high Severity high
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On: 623106
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-09-07 12:26 EDT by FTBFS
Modified: 2014-01-21 01:19 EST (History)
2 users (show)

See Also:
Fixed In Version: gle-4.2.2-5.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-25 01:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (346.80 KB, text/plain)
2010-09-07 12:27 EDT, FTBFS
no flags Details
build.log (63.48 KB, text/plain)
2010-09-07 12:27 EDT, FTBFS
no flags Details
mock.log (1.04 KB, text/plain)
2010-09-07 12:27 EDT, FTBFS
no flags Details
root.log (536.89 KB, text/plain)
2010-09-07 12:27 EDT, FTBFS
no flags Details
build.log (60.27 KB, text/plain)
2010-09-07 12:27 EDT, FTBFS
no flags Details
mock.log (883 bytes, text/plain)
2010-09-07 12:27 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-09-07 12:26:51 EDT
gle-4.2.2-2.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 12:27:01 EDT
Created an attachment (id=443779)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 12:27:03 EDT
Created an attachment (id=443780)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 12:27:04 EDT
Created an attachment (id=443781)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 12:27:13 EDT
Created an attachment (id=443782)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 12:27:15 EDT
Created an attachment (id=443783)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 12:27:16 EDT
Created an attachment (id=443784)
mock.log

mock.log for x86_64
Comment 7 seth vidal 2010-09-07 13:26:19 EDT
in the f14 pkgs it looks like qt3-devel provides
qt-devel = 1:3.3.8b-29.fc13


I suspect that epoch is where the problem lies.

lookin at true rawhide - it seems like this has been fixed in the newest qt3-devel pkg by removing the qt-devel provide
Comment 8 Terje Røsten 2010-09-07 13:47:02 EDT
Thanks for very quick and useful reply, seth.
Comment 9 Rex Dieter 2010-09-07 14:22:49 EDT
One way to avoid ambiguities is to explicitly use one of the following:
BuildRequires: qt4-devel
or
BuildRequries: qt3-devel
Comment 10 Terje Røsten 2010-09-07 14:27:13 EDT
Ok, thanks Rex, will follow.
Comment 11 Terje Røsten 2010-09-07 15:35:26 EDT
New gle build in rawhide:

 http://koji.fedoraproject.org/koji/buildinfo?buildID=194154

Now, Matt, should this be rebuilt for F14 too?
Comment 12 Fedora Update System 2010-09-08 12:49:29 EDT
gle-4.2.2-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gle-4.2.2-5.fc14
Comment 13 Fedora Update System 2010-09-08 14:03:04 EDT
gle-4.2.2-5.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gle'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gle-4.2.2-5.fc14
Comment 14 Fedora Update System 2010-09-25 01:39:19 EDT
gle-4.2.2-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.